Bug 495039 - (CVE-2009-1371, CVE-2009-1372) clamav: security fixes in upstream 0.95.1 (CVE-2009-1371, CVE-2009-1372)
clamav: security fixes in upstream 0.95.1 (CVE-2009-1371, CVE-2009-1372)
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
: Security
: 522157 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-09 06:13 EDT by Tomas Hoger
Modified: 2010-09-29 15:19 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-29 03:57:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2009-04-09 06:13:48 EDT
Upstream clamav version 0.95.1 seems to fix two bugs that may cause clamscan / clamd to crash when scanning certain inputs:

Crash when scanning a malformed file packed with UPack

Upstream bug:
https://wwws.clamav.net/bugzilla/show_bug.cgi?id=1552


cli_url_canon buffer overflow (this only seems to affect 0.95.x)

Upstream bug:
https://wwws.clamav.net/bugzilla/show_bug.cgi?id=1553


Both fixed upstream in:
svn diff -c 5032 http://svn.clamav.net/svn/clamav-devel/
Comment 1 Robert Scheck 2009-04-10 17:41:21 EDT
Package: clamav-0.95.1-1.fc11 Tag: dist-f11 Status: complete Built by: robert

1963 (clamav): Build on target fedora-5-epel succeeded.
1965 (clamav): Build on target fedora-4-epel succeeded.
Comment 2 Tomas Hoger 2009-04-24 03:03:08 EDT
CVE-2009-1371:
The CLI_ISCONTAINED macro in libclamav/others.h in ClamAV before
0.95.1 allows remote attackers to cause a denial of service
(application crash) via a malformed file with UPack encoding.

CVE-2009-1372
Stack-based buffer overflow in the cli_url_canon function in
libclamav/phishcheck.c in ClamAV before 0.95.1 allows remote attackers
to cause a denial of service (application crash) and possibly execute
arbitrary code via a crafted URL.
Comment 3 Tomas Hoger 2009-09-09 14:01:08 EDT
*** Bug 522157 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.